#
# spec file for package calc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 1
%define libname libcalc%{soname}
Name:           calc
Version:        2.12.5.0
Release:        7.3
Summary:        C-style arbitrary precision system
License:        LGPL-2.1
Group:          Productivity/Scientific/Math
Url:            http://sourceforge.net/projects/calc
Source0:        http://sourceforge.net/projects/calc/files/calc/%{version}/%{name}-%{version}.tar.bz2
Source2:        README.openSUSE
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch1:         calc-2.12.3.3-no-rpath.patch
BuildRequires:  fdupes

%description
Calc is arbitrary precision C-like arithmetic system that is a
calculator, an algorithm prototyper and mathematical research tool. Calc
comes with a rich set of builtin mathematical and programmatic
functions.

%package -n %{libname}
Summary:        Arbitrary precision math library
Group:          System/Libraries

%description -n %{libname}
Part of the calc release consists of an arbitrary precision math link
library.  This link library is used by the calc program to perform its
own calculations.  If you wish, you can ignore the calc program entirely
and call the arbitrary precision math routines from your own C programs.

%package devel
Summary:        Development files for libcalc
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}

%description devel
Part of the calc release consists of an arbitrary precision math link
library.  This link library is used by the calc program to perform its
own calculations.  If you wish, you can ignore the calc program entirely
and call the arbitrary precision math routines from your own C programs.

This package contains the files needed for building programs that use
this library.

%prep
%setup -q
%patch1
cp "%{SOURCE2}" .

%build
make EXTRA_CFLAGS="%{optflags}" HAVE_FPOS="-DHAVE_NO_FPOS"

%install
make T=%{buildroot} LIBDIR=%{_libdir} SCRIPTDIR=%{_datadir}/calc/cscript install
%fdupes %{buildroot}%{_datadir}/calc/

%post -n  %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README README.openSUSE
%{_bindir}/calc
%{_datadir}/calc
%{_mandir}/man1/calc.1*

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%doc LIBRARY sample_many.c sample_rand.c sample.README README README.openSUSE
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Sun Aug  2 2015 mpluskal@suse.com
- Use url for source
- Cleanup spec file with spec-cleaner
* Thu Dec 25 2014 p.drouand@gmail.com
- Update to version 2.12.5.0
  + See Changes file for full list of changes
* Tue Oct  1 2013 Greg.Freemyer@gmail.com
- update to calc-2.12.4.13
  * major code cleanup and a few new functions
  * See Changes file for full list of changes
- added %%doc section to %%files
- added README.openSUSE
- changed the libname from libcalc2_12_4_3 to libcalc%%soname
- changed -n libcalc-devel to devel
- added Requires: %%{libname} = %%{version} to devel section
* Fri May 24 2013 Greg.Freemyer@gmail.com
- update to calc-2.12.4.8
  * fixes a bug uncovered in calc which caused script failures when calc
    was called within a while loop in BASH if the while loop was fed from
    stdin, due to calc's redirection/inheritance of stdin and no option to
    change this behavior.
* Thu Dec 27 2012 dvaleev@suse.com
- build with -DHAVE_NO_FPOS. Don't use fgetpos() and fsetpos() but
  use fseek() and ftell() instead. The code that generates
  fposval.h is completely broken. It tries to detect the size of
  fpos_t but fails on ppc.
* Tue Sep  4 2012 Greg.Freemyer@gmail.com
- ran thru spec-cleaner
* Wed Aug 29 2012 Greg.Freemyer@gmail.com
- update to calc-2.12.4.3
  - minor bug fixes
* Tue Sep 30 2008 mmarek@suse.cz
- kill rpath in installed binaries
- compile with $RPM_OPT_FLAGS
- hardlink duplicate files in /usr/share/calc/
- don't package /usr/include
* Tue Sep  2 2008 mmarek@suse.cz
- added missing ldconfig calls
* Thu Aug 21 2008 mmarek@suse.cz
- packaged  calc-2.12.3.3
